Package net.sf.robocode.core

# Class ContainerBase

java.lang.Object
net.sf.robocode.core.ContainerBase

public abstract class ContainerBase extends Object

Author:
  Pavel Savara (original)

## Field Summary

Fields
Modifier and Type
Field
Description
`static ContainerBase`
`instance`

## Constructor Summary

Constructors
Constructor
Description
`ContainerBase()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract <T> T`
`getBaseComponent(Class<T> tClass)`
`static <T> T`
`getComponent(Class<T> tClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### instance

public static ContainerBase instance

## Constructor Details

### ContainerBase

public ContainerBase()

## Method Details

### getBaseComponent

protected abstract <T> T getBaseComponent(Class<T> tClass)

### getComponent

public static <T> T getComponent(Class<T> tClass)